Subject: Re: Wayne's comments on current DLSW

From: "almost, but not quite, entirely unlike tea 12-Jul-1993 1152 -0400" <[email-masked]>
Date: Mon, 12 Jul 93 11:50:37 EDT

Wayne,

thanks for the clarification - I must admit I hadn't considered the secondary
initiated disconnect; presumably you want to pass this through to the primary
and not disconnect immediately so that you don't lose any data in the pipe? Is
this also the reason you want to do the same for the primary initiated disc? I
don't believe that the primary is really allowed to ignore an RD, so I don't
see any other purpose not to disconnect the secondary immediately.

Also, I think the existing messages could handle both without introducing a new 
REQ_HALT_DL message, but I get your point.

;     I believe we are in agreement here.  With XID3-capable SDLC devices such
;     as the 3174, the above operations should work fine.  SDLC devices
;     which are only XID0-capable will have to be handled more carefully and
;     probably with router configuration information.

Another good point, although one has to wonder if it is necessary to
support the connection XID-3 capable to non-XID-3 capable systems; if a node
doesn't do XID-3, then it isn't a 2.1, and we can just pass the XID-0 through
unchanged - the XID-3 capable node should (in theory at least) be able to
handle this if it support PU2 devices.

Simon